RagTime5TextInternal::Block Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5TextInternal::Block Struct Reference

a small struct use to define a block of a RagTime5Text More...

## Public Member Functions
| Block ()
| constructor More...

## Public Attributes
int | m_id
| the block id More...
int | m_subId
| the block sub id More...
MWAWBox2f | m_dimension
| the block dimension More...
int | m_plc [2]
| the list of zone plc (first-end) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Block const &block)
| operator<< More...

## Detailed Description

a small struct use to define a block of a RagTime5Text

## Constructor & Destructor Documentation

## ◆ Block()

RagTime5TextInternal::Block::Block | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Block const & | block
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dimension

MWAWBox2f RagTime5TextInternal::Block::m_dimension

the block dimension

Referenced by RagTime5TextInternal::TextCParser::parseZoneBlock().

## ◆ m_extra

std::string RagTime5TextInternal::Block::m_extra

extra data

Referenced by RagTime5TextInternal::Block2ListParser::parseData(), and RagTime5TextInternal::TextCParser::parseZoneBlock().

## ◆ m_id

int RagTime5TextInternal::Block::m_id

the block id

Referenced by RagTime5TextInternal::TextCParser::parseZoneBlock().

## ◆ m_plc

int RagTime5TextInternal::Block::m_plc[2]

the list of zone plc (first-end)

Referenced by RagTime5TextInternal::Block2ListParser::parseData(), RagTime5TextInternal::TextCParser::parseZoneBlock(), and RagTime5Text::send().

## ◆ m_subId

int RagTime5TextInternal::Block::m_subId

the block sub id

Referenced by RagTime5TextInternal::TextCParser::parseZoneBlock().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx